> ## Documentation Index
> Fetch the complete documentation index at: https://jigsaw-13.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Embedding v2

> v2 Generate vector embeddings from various content types including text, images, audio, and PDF files with speaker fingerprint support.

## Request Parameters

### Body

<ParamField body="text" type="string">
  The text content to generate embeddings for. Optional if providing content through another method.
</ParamField>

<ParamField body="url" type="string">
  The image url.
</ParamField>

<ParamField body="file_store_key" type="string">
  The key used to store the image on Jigsawstack file. Learn more about how to handle files in Jigsawstack's [Handling Files](/docs/api-reference/handling-files) section.
</ParamField>

<ParamField body="type" type="string" required>
  The type of content being processed. Must be one of the following values:

  * `text`: Plain text input
  * `text-other`: Other text format
  * `image`: Image content
  * `audio`: Audio content
  * `pdf`: PDF document
</ParamField>

<ParamField body="dimensions" type="number" default="4096">
  The dimensionality of the output embedding vectors. Higher dimensions can capture more nuanced semantic information but require more storage.

  * Minimum: `32`
  * Maximum: `4096`
  * Default: `4096`
</ParamField>

<ParamField body="instruction" type="string" default="Given a query, retrieve relevant passages that answer the query">
  Custom instruction for query embedding generation to improve retrieval quality. Works with type `text` only. Maximum 400 characters.

  * Use this to provide domain-specific context or retrieval objectives
  * Default: `Given a query, retrieve relevant passages that answer the query`
</ParamField>

<ParamField body="query" type="boolean" default="false">
  Generate embedding for text in query mode by setting `query` to true.

  * If `query` is `true`, you may pass your custom `instruction` along with `text` to be embedded as a query string.
</ParamField>

<ParamField body="token_overflow_mode" type="string" default="error">
  Determines behavior when input exceeds token limits:

  * `error`: Return an error (default)
  * `truncate`: Truncate the input to fit within token limits
</ParamField>

<ParamField body="speaker_fingerprint" type="boolean" default="false">
  Whether to include speaker's audio embedding. Speaker fingerprint is only available for audio content type.
</ParamField>

<Snippet file="header.mdx" />

## Response Structure

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="_usage" type="object" optional>
  Usage information for the API call.

  <Expandable title="_usage">
    <ResponseField name="input_tokens" type="number">
      Number of input tokens processed.
    </ResponseField>

    <ResponseField name="output_tokens" type="number">
      Number of output tokens generated.
    </ResponseField>

    <ResponseField name="inference_time_tokens" type="number">
      Number of tokens processed during inference time.
    </ResponseField>

    <ResponseField name="total_tokens" type="number">
      Total number of tokens used (input + output).
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="log_id" type="string" optional>
  A unique identifier for the request
</ResponseField>

<ResponseField name="embeddings" type="number[][]">
  The vector embedding representation of the input content. This is an array of arrays of floating-point numbers.
</ResponseField>

<ResponseField name="chunks" type="array<string> | array<object>">
  Array of text chunks with timestamps. Only available for text and audio content types.

  <Expandable title="Chunk Object">
    <ResponseField name="text" type="string">
      The text content of this chunk.
    </ResponseField>

    <ResponseField name="timestamp" type="array[number]">
      Array containing start and end time positions for this chunk.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="speaker_embeddings" type="number[][]">
  The speaker's audio embedding. Only available for audio content type and when `speaker_fingerprint` is true. This is an array of arrays of floating-point numbers.
</ResponseField>

<RequestExample>
  ```javascript Javascript theme={null}
  import { JigsawStack } from "jigsawstack";

  const jigsaw = JigsawStack({ apiKey: "your-api-key" });

  const response = await jigsaw.embedding_v2({
    "url": "https://jigsawstack.com/preview/stt-example.wav",
    "type": "audio",
    "speaker_fingerprint": true
  })
  ```

  ```python Python theme={null}
  from jigsawstack import JigsawStack

  jigsaw = JigsawStack(api_key="your-api-key")

  response = jigsaw.embedding_v2({
    "url": "https://jigsawstack.com/preview/stt-example.wav",
    "type": "audio",
    "speaker_fingerprint": True
  })
  ```

  ```bash Curl theme={null}
  curl https://api.jigsawstack.com/v2/embedding \
  -X POST \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: your-api-key' \
  -d '{"url":"https://jigsawstack.com/preview/stt-example.wav","type":"audio","speaker_fingerprint":true}'
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, 'https://api.jigsawstack.com/v2/embedding');
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
  'Content-Type: application/json',
  'x-api-key: your-api-key',
  ]);
  curl_setopt($ch, CURLOPT_POSTFIELDS, '{"url":"https://jigsawstack.com/preview/stt-example.wav","type":"audio","speaker_fingerprint":true}');

  $response = curl_exec($ch);

  curl_close($ch);

  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'json'

  uri = URI('https://api.jigsawstack.com/v2/embedding')
  req = Net::HTTP::Post.new(uri)
  req.content_type = 'application/json'
  req['x-api-key'] = 'your-api-key'

  req.body = {
  'url' => 'https://jigsawstack.com/preview/stt-example.wav',
  'type' => 'audio',
  'speaker_fingerprint' => true
  }.to_json

  req_options = {
  use_ssl: uri.scheme == 'https'
  }
  res = Net::HTTP.start(uri.hostname, uri.port, req_options) do |http|
  http.request(req)
  end

  ```

  ```go Go theme={null}
  package main

  import (
  "fmt"
  "io"
  "log"
  "net/http"
  "strings"
  )

  func main() {
  client := &http.Client{}
  var data = strings.NewReader(`{"url":"https://jigsawstack.com/preview/stt-example.wav","type":"audio","speaker_fingerprint":true}`)
  req, err := http.NewRequest("POST", "https://api.jigsawstack.com/v2/embedding", data)
  if err != nil {
  	log.Fatal(err)
  }
  req.Header.Set("Content-Type", "application/json")
  req.Header.Set("x-api-key", "your-api-key")
  resp, err := client.Do(req)
  if err != nil {
  	log.Fatal(err)
  }
  defer resp.Body.Close()
  bodyText, err := io.ReadAll(resp.Body)
  if err != nil {
  	log.Fatal(err)
  }
  fmt.Printf("%s\n", bodyText)
  }

  ```

  ```java Java theme={null}
  import java.io.IOException;
  import java.net.URI;
  import java.net.http.HttpClient;
  import java.net.http.HttpRequest;
  import java.net.http.HttpRequest.BodyPublishers;
  import java.net.http.HttpResponse;

  HttpClient client = HttpClient.newHttpClient();

  HttpRequest request = HttpRequest.newBuilder()
  .uri(URI.create("https://api.jigsawstack.com/v2/embedding"))
  .POST(BodyPublishers.ofString("{\"url\":\"https://jigsawstack.com/preview/stt-example.wav\",\"type\":\"audio\",\"speaker_fingerprint\":true}"))
  .setHeader("Content-Type", "application/json")
  .setHeader("x-api-key", "your-api-key")
  .build();

  HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());

  ```

  ```swift Swift theme={null}
  import Foundation

  let jsonData = [
  "url": "https://jigsawstack.com/preview/stt-example.wav",
  "type": "audio",
  "speaker_fingerprint": true
  ] as [String : Any]
  let data = try! JSONSerialization.data(withJSONObject: jsonData, options: [])

  let url = URL(string: "https://api.jigsawstack.com/v2/embedding")!
  let headers = [
  "Content-Type": "application/json",
  "x-api-key": "your-api-key"
  ]

  var request = URLRequest(url: url)
  request.httpMethod = "POST"
  request.allHTTPHeaderFields = headers
  request.httpBody = data as Data

  let task = URLSession.shared.dataTask(with: request) { (data, response, error) in
  if let error = error {
      print(error)
  } else if let data = data {
      let str = String(data: data, encoding: .utf8)
      print(str ?? "")
  }
  }

  task.resume()

  ```

  ```dart Dart theme={null}
  import 'package:http/http.dart' as http;

  void main() async {
  final headers = {
  'Content-Type': 'application/json',
  'x-api-key': 'your-api-key',
  };

  final data = '{"url":"https://jigsawstack.com/preview/stt-example.wav","type":"audio","speaker_fingerprint":true}';

  final url = Uri.parse('https://api.jigsawstack.com/v2/embedding');

  final res = await http.post(url, headers: headers, body: data);
  final status = res.statusCode;
  if (status != 200) throw Exception('http.post error: statusCode= $status');

  print(res.body);
  }

  ```

  ```kotlin Kotlin theme={null}
  import java.io.IOException
  import okhttp3.MediaType.Companion.toMediaType
  import okhttp3.OkHttpClient
  import okhttp3.Request
  import okhttp3.RequestBody.Companion.toRequestBody

  val client = OkHttpClient()

  val MEDIA_TYPE = "application/json".toMediaType()

  val requestBody = "{\"url\":\"https://jigsawstack.com/preview/stt-example.wav\",\"type\":\"audio\",\"speaker_fingerprint\":true}"

  val request = Request.Builder()
  .url("https://api.jigsawstack.com/v2/embedding")
  .post(requestBody.toRequestBody(MEDIA_TYPE))
  .header("Content-Type", "application/json")
  .header("x-api-key", "your-api-key")
  .build()

  client.newCall(request).execute().use { response ->
  if (!response.isSuccessful) throw IOException("Unexpected code $response")
  response.body!!.string()
  }

  ```

  ```csharp C# theme={null}
  using System.Net.Http.Headers;
  using System.Net.Http.Json;

  HttpClient client = new HttpClient();

  HttpRequestMessage request = new HttpRequestMessage(HttpMethod.Post, "https://api.jigsawstack.com/v2/embedding");
  request.Headers.Add("x-api-key", "your-api-key");
  request.Content = JsonContent.Create(new
  {
  url = "https://jigsawstack.com/preview/stt-example.wav",
  type = "audio",
  speaker_fingerprint = true
  });
  request.Content.Headers.ContentType = new MediaTypeHeaderValue("application/json");

  HttpResponseMessage response = await client.SendAsync(request);
  response.EnsureSuccessStatusCode();
  string responseBody = await response.Content.ReadAsStringAsync();

  Console.WriteLine(responseBody);
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "embeddings": [
          [
                0.01994265988469124,
                -0.00740474509075284,
                0.008083267137408257,
                0.004395645577460527,
                -0.003628619946539402,
                -0.020178668200969696,
                -0.021358706057071686,
                -0.01770058646798134,
                0.01970665156841278,
                0.0053396765142679214,
                -0.013216436840593815,
                0.016992561519145966,
                0.01044334564357996,
                -0.025960858911275864,
                0.0032893589232116938,
                0.03964931145310402,
                0.023364773020148277,
                0.016874557361006737,
                -0.002315826714038849,
                0.05970997363328934,
                0.02619686722755432,
                0.05192171782255173,
                0.008555282838642597,
                -0.021712718531489372,
                -0.015104499645531178,
                -0.007965263910591602,
                -0.038941286504268646,
                -0.007729255594313145,
                -0.02513483166694641,
                0.02737690508365631,
                0.018880624324083328,
                -0.02867494896054268,
                0.016048530116677284,
                0.01852661371231079,
                -0.011682386510074139,
                -0.011741388589143753,
                -0.019234636798501015,
                -0.012272406369447708,
                0.02631487138569355,
                -0.008968296460807323,
                -0.02525283582508564,
                0.004395645577460527,
                -0.006372211035341024,
                0.01770058646798134,
                -0.0017774337902665138,
                -0.024780819192528725,
                0.011328374966979027,
                -0.017228569835424423,
                0.02206672914326191,
                -0.02194872684776783,
                -0.012331407517194748,
                -0.01663855090737343,
                -0.016284538432955742,
                0.003540117060765624,
                0.02419080026447773,
                0.0008334025624208152,
                0.0020503178238868713,
                0.027022894471883774,
                -0.002315826714038849,
                -0.013216436840593815,
                -0.03327710181474686,
                -0.0037613743916153908,
                0.013039431534707546,
                -0.024544812738895416,
                0.0032598578836768866,
                -0.00873228907585144,
                0.011210370808839798,
                -0.016284538432955742,
                0.01852661371231079,
                0.0109153613448143,
                -0.015812523663043976,
                0.007611251901835203,
                0.015222503803670406,
                0.004189138766378164,
                0.02643287368118763,
                0.019588647410273552,
                -0.030445007607340813,
                -0.03091702237725258,
                -0.0003908879298251122,
                0.025724850594997406,
                -0.004897161852568388,
                0.01374745462089777,
                -0.020532678812742233,
                -0.001054659835062921,
                0.01970665156841278,
                -0.009086300618946552,
                -0.014514479786157608,
                -0.0037761249113827944,
                0.003495865734294057,
                0.008378277532756329,
                -0.03091702237725258,
                -0.0027140898164361715,
                -0.0016078031621873379,
                0.017346573993563652,
                -0.01374745462089777,
                -0.013629450462758541,
                -0.006519715767353773,
                -0.00873228907585144,
                -0.013216436840593815,
                0.04082934930920601,
                0.013983462937176228,
                -0.016992561519145966,
                0.0018290604930371046,
                -0.022656749933958054,
                -0.001430797390639782,
                -0.0035991191398352385,
                -0.00607720110565424,
                -0.029382972046732903,
                -0.013511447235941887,
                -0.003495865734294057,
                -0.004720156081020832,
                -0.0007707129698246717,
                0.019234636798501015,
                0.015104499645531178,
                0.013216436840593815,
                -0.004720156081020832,
                -0.0006195204914547503,
                0.017228569835424423,
                0.013157435692846775,
                0.024898823350667953,
                0.033513110131025314,
                -0.007080234121531248,
                0.031389039009809494,
                -0.006460713688284159,
                0.038941286504268646,
                -0.004926662892103195,
                0.003584368620067835,
                0.012921427376568317,
                0.003540117060765624,
                -0.0030238500330597162,
                -0.009145302698016167,
                -0.02961898036301136,
                0.035873185843229294,
                -0.0011136617977172136,
                -0.007434246130287647,
                0.010738355107605457,
                -0.00014197344717103988,
                0.0035696181003004313,
                0.003923629876226187,
                -0.018408609554171562,
                -0.00873228907585144,
                0.009617318399250507,
                0.023718785494565964,
                -0.005516682285815477,
                -0.016756555065512657,
                0.008083267137408257,
                0.00003802860010182485,
                0.003923629876226187,
                0.005782191175967455,
                0.002876345068216324,
                0.013216436840593815,
                0.0031418539583683014,
                0.010620350949466228,
                -0.021122699603438377,
                -0.024426808580756187,
                -0.0067557236179709435,
                -0.00022771065414417535,
                -0.00498566497117281,
                0.023600781336426735,
                -0.007286740932613611,
                -0.00012169152614660561,
                0.004425146616995335,
                0.02289275825023651,
                0.007788257673382759,
                -0.011328374966979027,
                0.004041633568704128,
                0.0007080234354361892,
                -0.005103668663650751,
                0.008024265058338642,
                0.012803423218429089,
                -0.006726222578436136,
                0.011269372887909412,
                -0.054517801851034164,
                0.014278472401201725,
                0.023954791948199272,
                0.00873228907585144,
                0.007552249822765589,
                -0.004425146616995335,
                -0.015576515346765518,
                0.006372211035341024,
                -0.008142269216477871,
                0.03492915630340576,
                -0.023718785494565964,
                -0.0023895790800452232,
                0.009440312162041664,
                0.03846927359700203,
                -0.021240701898932457,
                -0.015812523663043976,
                -0.02619686722755432,
                -0.02619686722755432,
                0.01374745462089777,
                -0.009322308003902435,
                -0.003333610249683261,
                -0.01852661371231079,
                -0.012921427376568317,
                -0.012980429455637932,
                0.0031713549979031086,
                0.009499314241111279,
                0.012921427376568317,
                0.011151368729770184,
                0.04389745369553566,
                -0.025960858911275864,
                0.0013570449082180858,
                0.008791291154921055,
                -0.009322308003902435,
                0.001475048833526671,
                -0.006372211035341024,
                0.010089334100484848,
                0.004041633568704128,
                -0.02985498681664467,
                0.020178668200969696,
                -0.006018199026584625,
                0.020178668200969696,
                0.007788257673382759,
                0.006962230429053307,
                -0.007050733081996441,
                0.008968296460807323,
                0.003245107363909483,
                -0.020060664042830467,
                -0.01215440221130848,
                0.02655087783932686,
                0.006106702145189047,
                0.008791291154921055,
                -0.0011284123174846172,
                -0.021594714373350143,
                0.018408609554171562,
                -0.0003595431335270405,
                0.0004904537345282733,
                -0.0031418539583683014,
                -0.021594714373350143,
                0.02985498681664467,
                -0.015694519504904747,
                -0.004749657120555639,
                -0.007050733081996441,
                -0.03422113135457039,
                -0.022538745775818825,
                -0.007493247743695974,
                0.0082602733746171,
                0.010856359265744686,
                0.00020097539527341723,
                -0.022420741617679596,
                0.017228569835424423,
                0.02631487138569355,
                0.004572651349008083,
                0.007286740932613611,
                0.011505380272865295,
                0.0015488011995330453,
                0.005693688523024321,
                0.03941330313682556,
                -0.024780819192528725,
                -0.000295009755063802,
                0.00985332578420639,
                0.005310175474733114,
                -0.030208999291062355,
                -0.010148336179554462,
                0.0009661569492891431,
                -0.0015266755362972617,
                -0.006519715767353773,
                -0.009499314241111279,
                0.014750488102436066,
                -0.0023895790800452232,
                0.006696721538901329,
                -0.004189138766378164,
                0.004041633568704128,
                0.019116632640361786,
                -0.009027298539876938,
                -0.025016827508807182,
                -0.020178668200969696,
                0.002065068343654275,
                -0.016992561519145966,
                0.0068147252313792706,
                0.011800390668213367,
                0.007847259752452374,
                0.002315826714038849,
                0.0032893589232116938,
                0.009086300618946552,
                0.016874557361006737,
                -0.007788257673382759,
                -0.0033926123287528753,
                -0.004277641419321299,
                0.012685419991612434,
                -0.003186105517670512,
                -0.0019618149381130934,
                -0.01852661371231079,
                -0.002020816784352064,
                0.007552249822765589,
                -0.002994348993524909,
                0.013393443077802658,
                0.006726222578436136,
                -0.003363111289218068,
                0.012862425297498703,
                0.004336643498390913,
                0.000505204196088016,
                0.021240701898932457,
                -0.012803423218429089,
                -0.008968296460807323,
                -0.029028959572315216,
                -0.009027298539876938,
                -0.004808659199625254,
                0.0011874142801389098,
                -0.015340507961809635,
                0.012744422070682049,
                0.0003337297821417451,
                0.00004263813025318086,
                -0.016756555065512657,
                -0.00016317727568093687,
                -0.017110565677285194,
                -0.014691486023366451,
                -0.002817343221977353,
                -0.008555282838642597,
                -0.021594714373350143,
                -0.001010408392176032,
                0.013216436840593815,
                0.0015414259396493435,
                0.01156438235193491,
                -0.008201271295547485,
                -0.00740474509075284,
                -0.004661154001951218,
                -0.00498566497117281,
                0.00997132994234562,
                0.004808659199625254,
                -0.012685419991612434,
                -0.008909294381737709,
                0.008968296460807323,
                0.013688452541828156,
                0.01203639805316925,
                -0.024544812738895416,
                -0.012508413754403591,
                -0.015812523663043976,
                -0.00873228907585144,
                -0.02643287368118763,
                0.0054871817119419575,
                -0.01109236665070057,
                -0.016874557361006737,
                -0.027022894471883774,
                -0.01770058646798134,
                -0.018998628482222557,
                0.0006416462128981948,
                0.07080234587192535,
                -0.0021240701898932457,
                -0.014278472401201725,
                0.003835126990452409,
                0.0005605185288004577,
                0.0053396765142679214,
                -0.00997132994234562,
                0.0025518343318253756,
                0.0240727961063385,
                -0.017228569835424423,
                0.004867660813033581,
                0.02194872684776783,
                0.0005937071400694549,
                0.007434246130287647,
                -0.021712718531489372,
                0.01480949018150568,
                -0.004661154001951218,
                0.0004904537345282733,
                -0.002492832485586405,
                -0.014101466163992882,
                0.01156438235193491,
                -0.011623384431004524,
                -0.012744422070682049,
                0.0051626707427203655,
                0.025606846436858177,
                -0.0075227487832307816,
                0.009499314241111279,
                0.02076868712902069,
                0.016166534274816513,
                -0.009617318399250507,
                -0.01758258230984211,
                0.005841193255037069,
                0.00631320895627141,
                0.026078863069415092,
                0.018408609554171562,
                0.0002129601634806022,
                0.019234636798501015,
                -0.013983462937176228,
                -0.016284538432955742,
                -0.008614284917712212,
                0.005929696373641491,
                -0.01982465572655201,
                -0.005929696373641491,
                -0.05687788128852844,
                0.0025518343318253756,
                -0.01663855090737343,
                -0.01203639805316925,
                -0.006932729389518499,
                0.0008444654522463679,
                0.003746623871847987,
                0.00545768067240715,
                0.00033004218130372465,
                -0.009735321626067162,
                -0.014750488102436066,
                0.009027298539876938,
                0.020414674654603004,
                -0.002315826714038849,
                0.030445007607340813,
                0.008083267137408257,
                -0.020414674654603004,
                -0.024426808580756187,
                -0.023600781336426735,
                0.0526297427713871,
                -0.0165205467492342,
                0.018172601237893105,
                0.020060664042830467,
                -0.03091702237725258,
                0.008791291154921055,
                0.00007836196891730651,
                -0.014160468243062496,
                -0.011210370808839798,
                -0.0010030331322923303,
                0.0065787178464233875,
                -0.012095400132238865,
                0.017346573993563652,
                -0.015340507961809635,
                0.0017553081270307302,
                0.007434246130287647,
                0.011210370808839798,
                0.00938131008297205,
                -0.0020060662645846605,
                0.0750504806637764,
                -0.015045497566461563,
                0.013393443077802658,
                0.010561349801719189,
                0.004720156081020832,
                0.004956163931638002,
                0.018172601237893105,
                -0.012744422070682049,
                0.03634520247578621,
                0.010738355107605457,
                -0.004189138766378164,
                -0.0010030331322923303,
                -0.003333610249683261,
                -0.01421947032213211,
                0.0014012963511049747,
                -0.001770058530382812,
                -0.017110565677285194,
                -0.0067557236179709435,
                0.0187626201659441,
                -0.0006527091027237475,
                0.010856359265744686,
                0.013452445156872272,
                -0.002728840336203575,
                0.008378277532756329,
                0.02737690508365631,
                -0.0023895790800452232,
                -0.006726222578436136,
                -0.0082602733746171,
                0.014455478638410568,
                0.0018585615325719118,
                -0.005044667050242424,
                -0.023954791948199272,
                0.019234636798501015,
                0.013216436840593815,
                0.018172601237893105,
                -0.01309843361377716,
                0.008319275453686714,
                -0.010974363423883915,
                -0.023364773020148277,
                0.007109735161066055,
                0.015930527821183205,
                0.0082602733746171,
                -0.008437278680503368,
                -0.005664187483489513,
                -0.005693688523024321,
                0.016756555065512657,
                0.015222503803670406,
                0.04767357558012009,
                0.014042465016245842,
                -0.0030090995132923126,
                -0.021240701898932457,
                -0.009086300618946552,
                -0.02855694480240345,
                -0.004218639340251684,
                -0.025724850594997406,
                -0.011741388589143753,
                -0.0007633377681486309,
                0.005605185404419899,
                -0.008142269216477871,
                0.006283707916736603,
                -0.0019913159776479006,
                -0.007906261831521988,
                -0.007021232508122921,
                -0.027140898630023003,
                0.014691486023366451,
                0.007611251901835203,
                0.047909583896398544,
                -0.0015856774989515543,
                0.0002857907093130052,
                0.0005383928073570132,
                0.00522167282178998,
                -0.019352640956640244,
                -0.0034368636552244425,
                0.01864461600780487,
                0.0015119250165298581,
                -0.0003281983663327992,
                0.003658120986074209,
                0.024544812738895416,
                0.01044334564357996,
                -0.001475048833526671,
                -0.009912327863276005,
                -0.0014676735736429691,
                0.001430797390639782,
                0.0010989113943651319,
                -0.0035696181003004313,
                -0.008378277532756329,
                -0.01545851118862629,
                0.008437278680503368,
                -0.0022568246349692345,
                -0.007493247743695974,
                0.005280674900859594,
                0.007670253980904818,
                -0.029264967888593674,
                -0.008909294381737709,
                0.02631487138569355,
                0.012567415833473206,
                -0.0024190801195800304,
                0.007227739319205284,
                -0.01156438235193491,
                0.017818588763475418,
                0.02289275825023651,
                0.009322308003902435,
                0.015812523663043976,
                -0.032333068549633026,
                0.006962230429053307,
                0.00436614453792572,
                0.0003503240877762437,
                0.011977395974099636,
                -0.01640254259109497,
                -0.003363111289218068,
                0.0021240701898932457,
                -0.002566584851592779,
                0.004838160239160061,
                0.009499314241111279,
                -0.008909294381737709,
                0.0006563967326655984,
                -0.008378277532756329,
                0.007847259752452374,
                -0.0030976023990660906,
                0.004513649269938469,
                -0.004572651349008083,
                0.009145302698016167,
                0.00016594298358540982,
                0.009027298539876938,
                0.006519715767353773,
                0.023718785494565964,
                -0.00024522686726413667,
                -0.003658120986074209,
                -0.006608218420296907,
                -0.006519715767353773,
                0.05404578894376755,
                0.016048530116677284,
                0.01758258230984211,
                0.06513815373182297,
                -0.01421947032213211,
                0.004248140379786491,
                0.011505380272865295,
                -0.010974363423883915,
                0.02206672914326191,
                0.006401711609214544,
                0.008201271295547485,
                -0.025960858911275864,
                0.007847259752452374,
                0.008673286996781826,
                -0.003082851879298687,
                -0.012331407517194748,
                -0.011033364571630955,
                0.023954791948199272,
                0.022420741617679596,
                0.012803423218429089,
                -0.014396476559340954,
                -0.005516682285815477,
                -0.012980429455637932,
                0.019352640956640244,
                0.008142269216477871,
                -0.0047791581600904465,
                -0.009794323705136776,
                -0.02324676886200905,
                -0.004720156081020832,
                0.005605185404419899,
                0.0019618149381130934,
                0.00008020577661227435,
                0.004543150309473276,
                0.0035696181003004313,
                -0.01982465572655201,
                0.012449411675333977,
                -0.0025813353713601828,
                -0.00011754294973798096,
                -0.02076868712902069,
                -0.006136203184723854,
                -0.016284538432955742,
                0.005959196947515011,
                -0.012685419991612434,
                0.011446379125118256,
                -0.025016827508807182,
                -0.01746457815170288,
                -0.006519715767353773,
                0.0014012963511049747,
                -0.009204304777085781,
                0.004189138766378164,
                0.0017405576072633266,
                -0.013452445156872272,
                -0.016992561519145966,
                -0.00985332578420639,
                0.009263306856155396,
                -0.0044546471908688545,
                0.024544812738895416,
                0.00545768067240715,
                -0.034693147987127304,
                0.020060664042830467,
                -0.03610919415950775,
                0.005811692215502262,
                0.007080234121531248,
                -0.014573481865227222,
                0.0026255869306623936,
                0.008437278680503368,
                0.0009108426165767014,
                0.0165205467492342,
                -0.020532678812742233,
                -0.00938131008297205,
                0.02643287368118763,
                0.011446379125118256,
                -0.03610919415950775,
                0.018054597079753876,
                -0.0006379585829563439,
                -0.01640254259109497,
                0.016756555065512657,
                0.00003411050420254469,
                -0.004307142458856106,
                -0.0009587817476131022,
                -0.006136203184723854,
                -0.00716873724013567,
                0.02312876470386982,
                -0.005929696373641491,
                -0.01421947032213211,
                -0.01309843361377716,
                0.03634520247578621,
                0.00498566497117281,
                -0.0082602733746171,
                0.0027140898164361715,
                0.013570449315011501,
                0.004395645577460527,
                0.006667220499366522,
                -0.001393921091221273,
                0.0064312126487493515,
                0.004307142458856106,
                0.020060664042830467,
                0.018880624324083328,
                0.006637719459831715,
                -0.03162504732608795,
                0.006342709995806217,
                0.021594714373350143,
                0.002478081965819001,
                -0.0005088918260298669,
                0.005516682285815477,
                0.014927493408322334,
                -0.010679353028535843,
                0.0058706942945718765,
                0.021240701898932457,
                -0.014396476559340954,
                0.0038646277971565723,
                -0.017228569835424423,
                0.002817343221977353,
                0.010620350949466228,
                -0.03280508518218994,
                -0.03068101592361927,
                -0.004248140379786491,
                -0.001806934829801321,
                0.013629450462758541,
                0.02631487138569355,
                -0.00716873724013567,
                -0.030090995132923126,
                0.018880624324083328,
                -0.011800390668213367,
                0.005428179632872343,
                0.006254206877201796,
                -0.025488844141364098,
                -0.0009809074690565467,
                0.00016502109065186232,
                -0.009676320478320122,
                -0.013039431534707546,
                -0.006519715767353773,
                0.012213404290378094,
                0.0109153613448143,
                -0.012449411675333977,
                0.023836787790060043,
                0.008201271295547485,
                0.003495865734294057,
                0.007463746704161167,
                0.012803423218429089,
                0.0012316657230257988,
                0.03091702237725258,
                -0.010738355107605457,
                0.004100635647773743,
                -0.005752690136432648,
                0.007493247743695974,
                0.008142269216477871,
                0.0025518343318253756,
                -0.017818588763475418,
                0.003540117060765624,
                0.01970665156841278,
                -0.007316241972148418,
                0.009912327863276005,
                -0.02950097620487213,
                -0.01970665156841278,
                -0.03162504732608795,
                -0.02655087783932686,
                -0.019352640956640244,
                0.006106702145189047,
                -0.006932729389518499,
                0.0008960921550169587,
                -0.006962230429053307,
                0.010325341485440731,
                0.013570449315011501,
                0.004395645577460527,
                0.013157435692846775,
                -0.005398678593337536,
                0.04413345828652382,
                0.011269372887909412,
                -0.010266339406371117,
                -0.012272406369447708,
                -0.011977395974099636,
                -0.012272406369447708,
                0.001563551719300449,
                0.00885029323399067,
                -0.012508413754403591,
                0.004189138766378164,
                0.013157435692846775,
                0.020650682970881462,
                0.00873228907585144,
                -0.02631487138569355,
                0.008201271295547485,
                -0.004307142458856106,
                -0.015930527821183205,
                0.015812523663043976,
                -0.025606846436858177,
                0.005398678593337536,
                -0.0054871817119419575,
                0.0025813353713601828,
                0.000715398695319891,
                -0.010325341485440731,
                -0.0020355673041194677,
                0.022302737459540367,
                -0.022302737459540367,
                0.007021232508122921,
                0.003923629876226187,
                -0.016048530116677284,
                0.020532678812742233,
                -0.0013865458313375711,
                0.0032156063243746758,
                0.01421947032213211,
                -0.006991731468588114,
                0.0013865458313375711,
                -0.015340507961809635,
                0.008024265058338642,
                0.03280508518218994,
                0.00997132994234562,
                -0.013216436840593815,
                -0.007670253980904818,
                0.028202932327985764,
                -0.003923629876226187,
                -0.01309843361377716,
                0.020178668200969696,
                -0.0012464162427932024,
                -0.013924460858106613,
                0.008437278680503368,
                -0.014160468243062496,
                -0.010502347722649574,
                -0.010089334100484848,
                0.018172601237893105,
                0.011741388589143753,
                -0.004867660813033581,
                0.0022273235954344273,
                -0.009912327863276005,
                0.0187626201659441,
                -0.008024265058338642,
                -0.014396476559340954,
                -0.007198238279670477,
                0.018290605396032333,
                -0.004218639340251684,
                0.009676320478320122,
                0.009558316320180893,
                0.012567415833473206,
                0.010738355107605457,
                -0.0009661569492891431,
                0.005959196947515011,
                0.011387377046048641,
                -0.004661154001951218,
                -0.016166534274816513,
                -0.03186105564236641,
                -0.013039431534707546,
                -0.013806456699967384,
                0.011328374966979027,
                0.002448580926284194,
                0.003540117060765624,
                0.026786886155605316,
                -0.015576515346765518,
                0.0058706942945718765,
                -0.010148336179554462,
                -0.006991731468588114,
                -0.002360078040510416,
                -0.01421947032213211,
                0.011505380272865295,
                -0.008024265058338642,
                0.02537083998322487,
                0.008496280759572983,
                0.019234636798501015,
                -0.011741388589143753,
                -0.010856359265744686,
                0.020296672359108925,
                0.029382972046732903,
                -0.02218473330140114,
                0.017228569835424423,
                -0.028792953118681908,
                0.013983462937176228,
                0.02867494896054268,
                0.009086300618946552,
                -0.017346573993563652,
                -0.009145302698016167,
                -0.023836787790060043,
                0.003923629876226187,
                -0.009440312162041664,
                -0.010148336179554462,
                0.01374745462089777,
                0.00040563842048868537,
                -0.0021240701898932457,
                0.001438172534108162,
                -0.0006637719343416393,
                -0.0011210370576009154,
                0.009912327863276005,
                0.012095400132238865,
                0.005752690136432648,
                -0.007788257673382759,
                -0.016756555065512657,
                0.033513110131025314,
                -0.000046786703023826703,
                -0.0014971744967624545,
                0.01480949018150568,
                0.00716873724013567,
                0.01109236665070057,
                -0.00522167282178998,
                -0.008201271295547485,
                -0.021476710215210915,
                0.0047791581600904465,
                -0.00631320895627141,
                0.0014086716109886765,
                -0.011151368729770184,
                0.01852661371231079,
                0.005310175474733114,
                -0.003451614174991846,
                0.006283707916736603,
                -0.001224290463142097,
                -0.01044334564357996,
                -0.003112352918833494,
                -0.011859392747282982,
                -0.014160468243062496,
                0.011918393895030022,
                0.02324676886200905,
                -0.00413013668730855,
                0.02525283582508564,
                0.004248140379786491,
                0.013216436840593815,
                0.006460713688284159,
                0.014396476559340954,
                -0.002640337450429797,
                0.002905846107751131,
                -0.010384343564510345,
                -0.013983462937176228,
                0.013806456699967384,
                0.0009661569492891431,
                -0.017346573993563652,
                -0.013334440998733044,
                0.012095400132238865,
                0.0071392362006008625,
                -0.013511447235941887,
                0.006018199026584625,
                -0.016874557361006737,
                0.006873727310448885,
                -0.009558316320180893,
                0.02206672914326191,
                -0.026078863069415092,
                -0.0009182178764604032,
                0.002271575154736638,
                0.009027298539876938,
                -0.021476710215210915,
                0.010266339406371117,
                -0.008437278680503368,
                -0.009086300618946552,
                -0.02324676886200905,
                -0.005015166010707617,
                -0.008909294381737709,
                0.012272406369447708,
                0.0004167012812104076,
                -0.007316241972148418,
                -0.0018733119359239936,
                0.00024153923732228577,
                0.024544812738895416,
                -0.02194872684776783,
                -0.009145302698016167,
                0.008555282838642597,
                0.002994348993524909,
                -0.010974363423883915,
                0.004248140379786491,
                -0.015812523663043976,
                0.007670253980904818,
                0.00938131008297205,
                0.0007448996184393764,
                -0.009617318399250507,
                -0.02312876470386982,
                -0.0571138896048069,
                0.016992561519145966,
                0.0058706942945718765,
                0.0082602733746171,
                -0.02301076054573059,
                -0.012213404290378094,
                -0.009676320478320122,
                0.0005605185288004577,
                0.0014529230538755655,
                -0.011210370808839798,
                0.0010251589119434357,
                0.0035253665409982204,
                0.0109153613448143,
                0.004572651349008083,
                0.0067557236179709435,
                0.002404329599812627,
                0.009086300618946552,
                0.02513483166694641,
                0.005192171782255173,
                0.011800390668213367,
                -0.0032303568441420794,
                -0.005280674900859594,
                -0.032569076865911484,
                -0.018998628482222557,
                -0.010148336179554462,
                -0.002905846107751131,
                -0.004572651349008083,
                -0.023482777178287506,
                0.010856359265744686,
                -0.008142269216477871,
                -0.010089334100484848,
                -0.011210370808839798,
                -0.010266339406371117,
                0.01156438235193491,
                0.012213404290378094,
                -0.013924460858106613,
                -0.025016827508807182,
                -0.016874557361006737,
                -0.009617318399250507,
                -0.014691486023366451,
                -0.0003908879298251122,
                0.002065068343654275,
                0.004307142458856106,
                0.0005236423457972705,
                -0.01215440221130848,
                -0.011269372887909412,
                0.015104499645531178,
                -0.009263306856155396,
                -0.01480949018150568,
                -0.007286740932613611,
                0.009204304777085781,
                -0.0016520546050742269,
                0.013393443077802658,
                0.029382972046732903,
                -0.0017848090501502156,
                0.0037613743916153908,
                0.027022894471883774,
                -0.0165205467492342,
                -0.007729255594313145,
                0.01758258230984211,
                -0.00037982506910339,
                -0.013452445156872272,
                0.0015856774989515543,
                -0.017936592921614647,
                -0.004425146616995335,
                -0.017228569835424423,
                -0.0068147252313792706,
                -0.002699339296668768,
                0.016756555065512657,
                0.00997132994234562,
                -0.016284538432955742,
                -0.009794323705136776,
                -0.010561349801719189,
                0.004277641419321299,
                -0.014632483944296837,
                0.00985332578420639,
                0.0029795984737575054,
                0.028792953118681908,
                0.0046021523885428905,
                -0.011623384431004524,
                -0.023600781336426735,
                0.07552249729633331,
                -0.014868492260575294,
                -0.0006416462128981948,
                0.01309843361377716,
                0.018054597079753876,
                0.015812523663043976,
                -0.001814309973269701,
                0.0013791705714538693,
                0.02301076054573059,
                -0.0016225536819547415,
                -0.014278472401201725,
                0.006490214727818966,
                0.035873185843229294,
                0.003835126990452409,
                -0.02631487138569355,
                -0.0037171230651438236,
                -0.010325341485440731,
                -0.005516682285815477,
                -0.018998628482222557,
                -0.0032156063243746758,
                -0.01982465572655201,
                -0.006372211035341024,
                0.013865458779036999,
                0.003127103438600898,
                0.002876345068216324,
                -0.009322308003902435,
                -0.0013349191285669804,
                -0.0187626201659441,
                0.005015166010707617,
                -0.013334440998733044,
                -0.00985332578420639,
                -0.006165703758597374,
                -0.011446379125118256,
                -0.022420741617679596,
                0.00498566497117281,
                0.027730917558073997,
                0.019116632640361786,
                0.008142269216477871,
                -0.013924460858106613,
                -0.0009440312278456986,
                0.011800390668213367,
                0.015694519504904747,
                0.012567415833473206,
                0.007227739319205284,
                0.009027298539876938,
                0.02076868712902069,
                -0.013865458779036999,
                0.0013127934653311968,
                0.005900195334106684,
                -0.019116632640361786,
                0.009794323705136776,
                -0.010679353028535843,
                -0.005074168089777231,
                0.010325341485440731,
                0.006490214727818966,
                -0.00436614453792572,
                -0.00631320895627141,
                -0.0022125733084976673,
                0.0027140898164361715,
                0.0021388207096606493,
                0.010207337327301502,
                -0.005428179632872343,
                0.0330410934984684,
                -0.01982465572655201,
                -0.0035696181003004313,
                -0.004336643498390913,
                -0.0010251589119434357,
                -0.029028959572315216,
                0.02289275825023651,
                -0.029028959572315216,
                -0.023836787790060043,
                -0.011918393895030022,
                -0.014632483944296837,
                0.003835126990452409,
                0.002522333525121212,
                -0.005192171782255173,
                0.010974363423883915,
                0.009499314241111279,
                -0.07174637168645859,
                0.00413013668730855,
                0.00997132994234562,
                0.013924460858106613,
                0.015222503803670406,
                -0.0006342710112221539,
                -0.031153030693531036,
                -0.005192171782255173,
                -0.003451614174991846,
                0.00631320895627141,
                -0.014396476559340954,
                0.007729255594313145,
                0.008319275453686714,
                -0.00985332578420639,
                -0.009322308003902435,
                -0.005310175474733114,
                -0.02206672914326191,
                0.011623384431004524,
                0.010797357186675072,
                0.01215440221130848,
                0.010502347722649574,
                0.014750488102436066,
                -0.015694519504904747,
                -0.003112352918833494,
                -0.0058706942945718765,
                0.012508413754403591,
                0.0037761249113827944,
                -0.015104499645531178,
                0.011800390668213367,
                0.005015166010707617,
                -0.025488844141364098,
                0.020296672359108925,
                -0.009204304777085781,
                -0.012213404290378094,
                -0.02312876470386982,
                -0.014042465016245842,
                -0.017818588763475418,
                -0.013806456699967384,
                0.021594714373350143,
                0.01421947032213211,
                -0.0015856774989515543,
                0.020296672359108925,
                -0.0025075830053538084,
                0.0037318733520805836,
                0.0165205467492342,
                0.009204304777085781,
                -0.0027140898164361715,
                0.04979764670133591,
                -0.006903228349983692,
                0.004307142458856106,
                -0.012095400132238865,
                -0.02537083998322487,
                -0.005900195334106684,
                -0.016166534274816513,
                0.007729255594313145,
                -0.018408609554171562,
                0.006018199026584625,
                -0.004897161852568388,
                0.003540117060765624,
                0.0033483607694506645,
                0.01156438235193491,
                0.018998628482222557,
                -0.03162504732608795,
                0.018172601237893105,
                0.011033364571630955,
                -0.01433747448027134,
                0.03186105564236641,
                -0.004336643498390913,
                -0.005369177553802729,
                0.013511447235941887,
                0.014986495487391949,
                0.020296672359108925,
                0.021240701898932457,
                0.01758258230984211,
                -0.0022125733084976673,
                0.007729255594313145,
                0.018880624324083328,
                -0.048853617161512375,
                -0.018998628482222557,
                -0.010325341485440731,
                -0.01994265988469124,
                0.0026845887769013643,
                -0.008142269216477871,
                -0.02430880442261696,
                0.009558316320180893,
                -0.00938131008297205,
                0.01327543891966343,
                0.0032156063243746758,
                -0.006608218420296907,
                0.006932729389518499,
                0.012980429455637932,
                -0.00436614453792572,
                -0.016756555065512657,
                -0.016874557361006737,
                0.01309843361377716,
                -0.004484148230403662,
                0.05640586465597153,
                0.017936592921614647,
                -0.01156438235193491,
                0.0030090995132923126,
                0.017228569835424423,
                0.01109236665070057,
                -0.004956163931638002,
                0.014691486023366451,
                -0.0032893589232116938,
                -0.023600781336426735,
                -0.0001558020303491503,
                -0.023482777178287506,
                0.0109153613448143,
                0.003451614174991846,
                -0.0025075830053538084,
                -0.012567415833473206,
                0.01970665156841278,
                -0.002950097667053342,
                -0.007611251901835203,
                -0.0030533510725945234,
                -0.01262641791254282,
                -0.008201271295547485,
                -0.02100469544529915,
                0.0023748285602778196,
                0.0015414259396493435,
                0.026904890313744545,
                -0.004838160239160061,
                -0.031389039009809494,
                -0.015104499645531178,
                0.003495865734294057,
                -0.0029795984737575054,
                0.017818588763475418,
                0.012508413754403591,
                -0.0010251589119434357,
                -0.027258900925517082,
                -0.01309843361377716,
                0.013865458779036999,
                -0.017818588763475418,
                0.016166534274816513,
                -0.013806456699967384,
                -0.006490214727818966,
                -0.010620350949466228,
                0.002109319670125842,
                -0.0067557236179709435,
                -0.014573481865227222,
                0.006018199026584625,
                -0.010974363423883915,
                -0.014632483944296837,
                0.01746457815170288,
                0.012980429455637932,
                -0.022420741617679596,
                -0.0420093908905983,
                0.005959196947515011,
                -0.003422113135457039,
                0.0028910955879837275,
                -0.01044334564357996,
                -0.010148336179554462,
                0.004425146616995335,
                -0.02631487138569355,
                -0.03422113135457039,
                0.013629450462758541,
                -0.005044667050242424,
                0.0071392362006008625,
                -0.007906261831521988,
                0.007493247743695974,
                -0.022302737459540367,
                0.023364773020148277,
                0.002728840336203575,
                -0.05782191455364227,
                0.028792953118681908,
                0.013216436840593815,
                0.004867660813033581,
                0.021358706057071686,
                -0.033513110131025314,
                0.0017036813078448176,
                0.005251173861324787,
                -0.017818588763475418,
                -0.00885029323399067,
                -0.011623384431004524,
                0.00016133346071001142,
                0.004425146616995335,
                -0.013511447235941887,
                -0.008968296460807323,
                0.018054597079753876,
                -0.0075227487832307816,
                -0.011977395974099636,
                -0.012213404290378094,
                0.011505380272865295,
                -0.014868492260575294,
                -0.0046021523885428905,
                -0.014396476559340954,
                -0.027258900925517082,
                0.02076868712902069,
                -0.002404329599812627,
                0.0020355673041194677,
                -0.0047791581600904465,
                0.014514479786157608,
                0.007493247743695974,
                -0.005664187483489513,
                0.007670253980904818,
                0.021240701898932457,
                0.005634686443954706,
                -0.018880624324083328,
                0.016992561519145966,
                -0.0020503178238868713,
                0.005044667050242424,
                -0.017228569835424423,
                0.029028959572315216,
                -0.009676320478320122,
                -0.012449411675333977,
                -0.016874557361006737,
                0.017936592921614647,
                0.012980429455637932,
                0.004395645577460527,
                0.010266339406371117,
                -0.007847259752452374,
                -0.01262641791254282,
                0.004926662892103195,
                0.0026255869306623936,
                -0.00004056384204886854,
                0.007670253980904818,
                0.002861594781279564,
                0.006254206877201796,
                0.0165205467492342,
                -0.038941286504268646,
                -0.020532678812742233,
                0.00885029323399067,
                0.007965263910591602,
                -0.015222503803670406,
                0.018290605396032333,
                0.017110565677285194,
                -0.008496280759572983,
                0.0065787178464233875,
                0.0009034674149006605,
                0.01203639805316925,
                0.026078863069415092,
                0.012213404290378094,
                -0.002876345068216324,
                -0.006903228349983692,
                0.003495865734294057,
                0.011682386510074139,
                0.012685419991612434,
                0.02513483166694641,
                0.0165205467492342,
                0.008909294381737709,
                0.008673286996781826,
                -0.02525283582508564,
                -0.022656749933958054,
                -0.007611251901835203,
                0.015930527821183205,
                0.0007227738969959319,
                -0.023364773020148277,
                -0.021358706057071686,
                -0.007670253980904818,
                -0.0038646277971565723,
                0.006283707916736603,
                0.028792953118681908,
                -0.019234636798501015,
                0.010089334100484848,
                0.006785224657505751,
                0.0020503178238868713,
                -0.002448580926284194,
                0.0004793908738065511,
                -0.025488844141364098,
                0.01663855090737343,
                -0.02289275825023651,
                0.007906261831521988,
                0.031153030693531036,
                -0.009027298539876938,
                -0.0002120382705470547,
                -0.0165205467492342,
                0.004956163931638002,
                -0.007906261831521988,
                0.027966925874352455,
                0.03492915630340576,
                0.008496280759572983,
                -0.003835126990452409,
                0.002817343221977353,
                0.015930527821183205,
                -0.0009182178764604032,
                0.001180039020255208,
                -0.013157435692846775,
                0.005310175474733114,
                0.020060664042830467,
                -0.007316241972148418,
                0.06561017036437988,
                0.015812523663043976,
                -0.003835126990452409,
                0.013924460858106613,
                0.0038646277971565723,
                -0.037997256964445114,
                -0.005575684364885092,
                0.012685419991612434,
                0.011623384431004524,
                0.0011210370576009154,
                -0.0240727961063385,
                -0.02855694480240345,
                0.032569076865911484,
                -0.01640254259109497,
                -0.016874557361006737,
                0.005369177553802729,
                0.020414674654603004,
                0.010502347722649574,
                0.015812523663043976,
                0.008319275453686714,
                -0.019234636798501015,
                0.009440312162041664,
                0.006254206877201796,
                0.0019913159776479006,
                0.008791291154921055,
                0.0008444654522463679,
                -0.0002470706822350621,
                0.012980429455637932,
                -0.004012132529169321,
                0.01746457815170288,
                -0.004425146616995335,
                -0.01970665156841278,
                0.007847259752452374,
                0.013629450462758541,
                0.003540117060765624,
                0.006991731468588114,
                0.023600781336426735,
                -0.0037761249113827944,
                0.006637719459831715,
                0.019588647410273552,
                -0.011033364571630955,
                0.0010989113943651319,
                0.015104499645531178,
                -0.00327460840344429,
                -0.0021240701898932457,
                0.02206672914326191,
                0.0030090995132923126,
                -0.0038056259509176016,
                0.021358706057071686,
                -0.0037613743916153908,
                -0.0064312126487493515,
                -0.004956163931638002,
                0.006991731468588114,
                -0.011151368729770184,
                0.0026698382571339607,
                -0.000044251464714761823,
                -0.006254206877201796,
                0.0012980429455637932,
                0.04153737425804138,
                0.012390409596264362,
                -0.019352640956640244,
                -0.013452445156872272,
                -0.010679353028535843,
                0.002315826714038849,
                0.009617318399250507,
                0.007847259752452374,
                -0.0010030331322923303,
                -0.008614284917712212,
                -0.0019028129754588008,
                0.005310175474733114,
                -0.012921427376568317,
                -0.02289275825023651,
                0.0068147252313792706,
                -0.0021388207096606493,
                0.043425437062978745,
                0.01663855090737343,
                0.010030332021415234,
                -0.008614284917712212,
                0.015812523663043976,
                -0.01109236665070057,
                0.0017995595699176192,
                -0.005988697987049818,
                0.006106702145189047,
                -0.025960858911275864,
                0.015694519504904747,
                0.008437278680503368,
                0.005723189562559128,
                0.0004554213082883507,
                -0.0027583411429077387,
                -0.0044546471908688545,
                -0.018998628482222557,
                -0.0024190801195800304,
                -0.006932729389518499,
                -0.008968296460807323,
                0.00997132994234562,
                0.06136203184723854,
                0.011328374966979027,
                -0.03398512303829193,
                -0.005428179632872343,
                0.0032893589232116938,
                -0.007493247743695974,
                -0.02076868712902069,
                -0.011151368729770184,
                0.0009514064877294004,
                0.006342709995806217,
                0.013983462937176228,
                -0.011977395974099636,
                0.01746457815170288,
                0.007847259752452374,
                0.001563551719300449,
                0.032333068549633026,
                0.011800390668213367,
                0.022420741617679596,
                -0.011210370808839798,
                -0.015222503803670406,
                0.010738355107605457,
                -0.00004056384204886854,
                0.009558316320180893,
                -0.013688452541828156,
                -0.008673286996781826,
                0.00997132994234562,
                -0.00413013668730855,
                0.006342709995806217,
                0.013039431534707546,
                -0.0022273235954344273,
                -0.008201271295547485,
                0.01044334564357996,
                -0.0047791581600904465,
                0.011859392747282982,
                -0.010620350949466228,
                -0.034693147987127304,
                -0.0005605185288004577,
                0.0015709269791841507,
                0.008083267137408257,
                0.012390409596264362,
                0.01480949018150568,
                -0.007198238279670477,
                -0.01433747448027134,
                -0.006873727310448885,
                0.0024633314460515976,
                -0.01982465572655201,
                -0.027258900925517082,
                -0.004631653428077698,
                -0.0009956579888239503,
                -0.0016078031621873379,
                -0.009204304777085781,
                0.02301076054573059,
                -0.008437278680503368,
                -0.015104499645531178,
                -0.008142269216477871,
                0.011387377046048641,
                -0.0011136617977172136,
                -0.020060664042830467,
                0.007611251901835203,
                0.004808659199625254,
                0.010561349801719189,
                -0.03280508518218994,
                0.00303860055282712,
                -0.01864461600780487,
                -0.001770058530382812,
                0.006224705837666988,
                0.0016299289418384433,
                -0.00654921680688858,
                -0.0068147252313792706,
                0.02194872684776783,
                0.016166534274816513,
                0.00018899062706623226,
                0.01640254259109497,
                -0.002094569383189082,
                0.006254206877201796,
                0.0035548675805330276,
                0.017228569835424423,
                0.0075227487832307816,
                0.0037761249113827944,
                0.00522167282178998,
                0.005428179632872343,
                0.001010408392176032,
                0.002994348993524909,
                -0.012213404290378094,
                0.023954791948199272,
                -0.012272406369447708,
                -0.0011062866542488337,
                -0.017110565677285194,
                -0.011446379125118256,
                -0.003127103438600898,
                -0.003127103438600898,
                0.0010325341718271375,
                0.012921427376568317,
                0.0019618149381130934,
                -0.006254206877201796,
                0.005103668663650751,
                -0.009735321626067162,
                -0.007316241972148418,
                0.006932729389518499,
                -0.010797357186675072,
                -0.007906261831521988,
                0.0037613743916153908,
                0.008791291154921055,
                0.029146963730454445,
                0.007050733081996441,
                0.008142269216477871,
                0.002640337450429797,
                0.005900195334106684,
                -0.015576515346765518,
                0.00985332578420639,
                -0.012980429455637932,
                -0.004248140379786491,
                0.011682386510074139,
                0.01480949018150568,
                -0.010148336179554462,
                -0.013393443077802658,
                -0.004336643498390913,
                -0.006401711609214544,
                0.007670253980904818,
                0.011210370808839798,
                0.012685419991612434,
                -0.020532678812742233,
                0.007286740932613611,
                -0.004867660813033581,
                0.012744422070682049,
                -0.01545851118862629,
                -0.0034368636552244425,
                -0.02855694480240345,
                0.011741388589143753,
                -0.025724850594997406,
                0.004661154001951218,
                0.015812523663043976,
                0.027966925874352455,
                -0.006460713688284159,
                -0.010679353028535843,
                0.011269372887909412,
                -0.01746457815170288,
                0.009263306856155396,
                -0.006608218420296907,
                -0.013452445156872272,
                -0.00151930027641356,
                -0.0067557236179709435,
                0.009558316320180893,
                -0.013983462937176228,
                -0.03091702237725258,
                0.03540117293596268,
                -0.00007928387640276924,
                -0.0022568246349692345,
                -0.014986495487391949,
                -0.0018733119359239936,
                0.017110565677285194,
                0.007788257673382759,
                -0.0013127934653311968,
                0.025016827508807182,
                0.016756555065512657,
                0.014160468243062496,
                -0.014750488102436066,
                0.014691486023366451,
                0.02513483166694641,
                0.006401711609214544,
                0.006903228349983692,
                0.02985498681664467,
                -0.005251173861324787,
                0.007788257673382759,
                0.007788257673382759,
                0.030208999291062355,
                0.00413013668730855,
                -0.014691486023366451,
                -0.023718785494565964,
                0.009617318399250507,
                0.014868492260575294,
                -0.0436614453792572,
                0.017228569835424423,
                0.007729255594313145,
                -0.011800390668213367,
                0.016048530116677284,
                -0.00011892581096617505,
                0.00015856775280553848,
                0.0004498898924794048,
                -0.0068147252313792706,
                -0.0005236423457972705,
                0.010502347722649574,
                0.029028959572315216,
                -0.006667220499366522,
                0.016992561519145966,
                0.009204304777085781,
                -0.024780819192528725,
                0.005664187483489513,
                -0.008083267137408257,
                -0.04979764670133591,
                0.011623384431004524,
                0.008319275453686714,
                0.038941286504268646,
                -0.005811692215502262,
                -0.0053396765142679214,
                0.014750488102436066,
                -0.0015119250165298581,
                0.020060664042830467,
                -0.016874557361006737,
                0.015340507961809635,
                -0.021122699603438377,
                0.015930527821183205,
                0.00716873724013567,
                0.0033483607694506645,
                0.0032156063243746758,
                -0.006991731468588114,
                -0.010325341485440731,
                0.024780819192528725,
                0.007906261831521988,
                -0.014042465016245842,
                -0.0021388207096606493,
                0.006637719459831715,
                0.00985332578420639,
                -0.001135787577368319,
                -0.0010030331322923303,
                -0.0047791581600904465,
                -0.021358706057071686,
                0.016756555065512657,
                0.013216436840593815,
                -0.007788257673382759,
                -0.003112352918833494,
                -0.0005347051774151623,
                -0.009676320478320122,
                0.004336643498390913,
                0.005782191175967455,
                -0.007050733081996441,
                -0.009204304777085781,
                0.0027730916626751423,
                0.0033041092101484537,
                -0.010856359265744686,
                0.0028320937417447567,
                0.007493247743695974,
                -0.012095400132238865,
                -0.019352640956640244,
                -0.025724850594997406,
                -0.02194872684776783,
                0.014986495487391949,
                -0.014160468243062496,
                -0.00031897929147817194,
                0.0019470644183456898,
                -0.014396476559340954,
                0.010561349801719189,
                0.01864461600780487,
                0.001054659835062921,
                -0.008791291154921055,
                0.004484148230403662,
                -0.02206672914326191,
                0.00007882292266003788,
                0.016284538432955742,
                -0.013157435692846775,
                0.020296672359108925,
                -0.034693147987127304,
                0.014101466163992882,
                -0.00303860055282712,
                -0.017346573993563652,
                0.009322308003902435,
                -0.02324676886200905,
                -0.02100469544529915,
                -0.006342709995806217,
                0.010030332021415234,
                0.028910957276821136,
                -0.014750488102436066,
                -0.01421947032213211,
                0.0019913159776479006,
                0.0047791581600904465,
                -0.010384343564510345,
                -0.006667220499366522,
                0.0082602733746171,
                0.016284538432955742,
                0.011387377046048641,
                -0.007552249822765589,
                -0.006844226270914078,
                0.006401711609214544,
                0.007670253980904818,
                0.07457846403121948,
                0.014278472401201725,
                0.0030238500330597162,
                0.011210370808839798,
                0.007050733081996441,
                0.011741388589143753,
                0.01640254259109497,
                0.014042465016245842,
                -0.014632483944296837,
                -0.006637719459831715,
                -0.003186105517670512,
                0.015694519504904747,
                -0.016756555065512657,
                -0.011033364571630955,
                -0.018408609554171562,
                0.007463746704161167,
                0.011859392747282982,
                -0.00985332578420639,
                0.0058706942945718765,
                -0.013216436840593815,
                -0.02076868712902069,
                0.0034073626156896353,
                0.007611251901835203,
                0.003658120986074209,
                0.002094569383189082,
                0.006637719459831715,
                -0.015222503803670406,
                0.009499314241111279,
                0.002315826714038849,
                -0.00631320895627141,
                0.0075227487832307816,
                0.022538745775818825,
                -0.007906261831521988,
                0.02537083998322487,
                -0.008319275453686714,
                -0.01215440221130848,
                -0.001475048833526671,
                -0.026786886155605316,
                -0.003584368620067835,
                -0.012095400132238865,
                0.014927493408322334,
                0.005900195334106684,
                0.007847259752452374,
                -0.034457139670848846,
                -0.014455478638410568,
                -0.021122699603438377,
                0.021712718531489372,
                -0.00413013668730855,
                -0.0022273235954344273,
                -0.0014897992368787527,
                0.04979764670133591,
                0.012390409596264362,
                -0.009617318399250507,
                0.02643287368118763,
                -0.01663855090737343,
                0.0007928387494757771,
                -0.019116632640361786,
                -0.02525283582508564,
                -0.02655087783932686,
                -0.01156438235193491,
                -0.003953130915760994,
                0.008319275453686714,
                -0.011918393895030022,
                -0.015576515346765518,
                -0.006726222578436136,
                0.010738355107605457,
                -0.05192171782255173,
                -0.03186105564236641,
                0.006991731468588114,
                0.02619686722755432,
                0.0046021523885428905,
                0.008791291154921055,
                -0.0047791581600904465,
                0.02088669128715992,
                -0.006195204798132181,
                -0.01770058646798134,
                0.02843894064426422,
                -0.03516516461968422,
                -0.02430880442261696,
                0.023482777178287506,
                -0.011682386510074139,
                0.007080234121531248,
                -0.006224705837666988,
                -0.003495865734294057,
                0.02206672914326191,
                -0.005074168089777231,
                0.0012169152032583952,
                0.004484148230403662,
                -0.0018585615325719118,
                0.0029795984737575054,
                0.016874557361006737,
                0.00985332578420639,
                -0.02289275825023651,
                0.009676320478320122,
                0.012685419991612434,
                -0.01994265988469124,
                -0.004631653428077698,
                -0.01109236665070057,
                0.005575684364885092,
                0.004189138766378164,
                0.019234636798501015,
                -0.011151368729770184,
                -0.004543150309473276,
                -0.006667220499366522,
                0.005634686443954706,
                0.009204304777085781,
                0.0025960858911275864,
                0.008673286996781826,
                0.03870528191328049,
                -0.00261083641089499,
                -0.009263306856155396,
                0.0019028129754588008,
                0.015104499645531178,
                0.0010325341718271375,
                0.021122699603438377,
                0.009322308003902435,
                0.006932729389518499,
                -0.0037761249113827944,
                0.007847259752452374,
                -0.00413013668730855,
                0.042481403797864914,
                0.000004119764980714535,
                0.004661154001951218,
                0.019234636798501015,
                0.02194872684776783,
                -0.02088669128715992,
                -0.005782191175967455,
                0.016284538432955742,
                -0.02289275825023651,
                -0.0000820495915831998,
                -0.003628619946539402,
                -0.010325341485440731,
                0.017110565677285194,
                -0.03280508518218994,
                0.00716873724013567,
                0.0012390409829095006,
                -0.0009514064877294004,
                -0.01640254259109497,
                -0.004690655041486025,
                0.01156438235193491,
                0.0028910955879837275,
                -0.01746457815170288,
                -0.003953130915760994,
                0.014632483944296837,
                -0.008909294381737709,
                -0.007345743011683226,
                -0.018172601237893105,
                0.01044334564357996,
                0.015812523663043976,
                -0.0187626201659441,
                0.018880624324083328,
                -0.003127103438600898,
                -0.030208999291062355,
                -0.029028959572315216,
                -0.0016225536819547415,
                -0.010266339406371117,
                0.020414674654603004,
                0.015930527821183205,
                -0.0003632307634688914,
                0.005251173861324787,
                -0.020650682970881462,
                0.020178668200969696,
                -0.03422113135457039,
                -0.014868492260575294,
                0.005516682285815477,
                -0.00938131008297205,
                -0.007906261831521988,
                0.007847259752452374,
                -0.021240701898932457,
                0.0007891511195339262,
                -0.017346573993563652,
                0.009794323705136776,
                0.11847592145204544,
                0.0035106162540614605,
                -0.0014824240934103727,
                -0.008083267137408257,
                0.0002037411177298054,
                0.0011579133570194244,
                -0.003835126990452409,
                -0.003613869659602642,
                0.007109735161066055,
                0.003186105517670512,
                0.0020798188634216785,
                -0.00436614453792572,
                0.006460713688284159,
                0.016048530116677284,
                0.007729255594313145,
                -0.018290605396032333,
                0.00873228907585144,
                0.017818588763475418,
                -0.02631487138569355,
                -0.011977395974099636,
                0.012685419991612434,
                0.024544812738895416,
                0.00985332578420639,
                0.014396476559340954,
                -0.014691486023366451,
                0.023954791948199272,
                0.013334440998733044,
                -0.0011579133570194244,
                0.007788257673382759,
                0.009558316320180893,
                0.004100635647773743,
                0.008673286996781826,
                -0.028792953118681908,
                0.025842854753136635,
                -0.004159637726843357,
                0.03327710181474686,
                0.014042465016245842,
                0.020532678812742233,
                -0.0014012963511049747,
                0.024544812738895416,
                -0.012980429455637932,
                -0.017110565677285194,
                -0.014396476559340954,
                0.0020503178238868713,
                -0.006283707916736603,
                -0.008142269216477871,
                -0.01994265988469124,
                -0.029972990974783897,
                -0.0067557236179709435,
                -0.022302737459540367,
                0.006283707916736603,
                0.0019028129754588008,
                0.008614284917712212,
                0.01480949018150568,
                0.0003908879298251122,
                -0.02100469544529915,
                0.02324676886200905,
                -0.013865458779036999,
                0.0082602733746171,
                0.0218307226896286,
                0.00031344787566922605,
                0.02419080026447773,
                0.034693147987127304,
                0.017936592921614647,
                -0.01309843361377716,
                0.011623384431004524,
                -0.016756555065512657,
                0.0018733119359239936,
                0.017346573993563652,
                0.02100469544529915,
                0.0011652885004878044,
                -0.011269372887909412,
                0.009086300618946552,
                0.006991731468588114,
                -0.019470643252134323,
                0.009440312162041664,
                -0.015576515346765518,
                -0.002640337450429797,
                0.005605185404419899,
                -0.014927493408322334,
                0.012095400132238865,
                -0.011977395974099636,
                -0.019352640956640244,
                -0.010089334100484848,
                -0.008614284917712212,
                -0.008673286996781826,
                0.0165205467492342,
                -0.004159637726843357,
                -0.002655087737366557,
                0.014396476559340954,
                -0.003923629876226187,
                -0.002360078040510416,
                0.014396476559340954,
                0.0026255869306623936,
                0.007286740932613611,
                -0.01480949018150568,
                0.01852661371231079,
                -0.016874557361006737,
                -0.0018364357529208064,
                0.0068147252313792706,
                -0.02985498681664467,
                0.015340507961809635,
                0.011859392747282982,
                0.0031713549979031086,
                0.010561349801719189,
                0.003672871505841613,
                -0.042245399206876755,
                -0.0009145302465185523,
                0.031389039009809494,
                -0.02076868712902069,
                -0.010738355107605457,
                -0.00046648416901007295,
                -0.010148336179554462,
                -0.023954791948199272,
                -0.004484148230403662,
                0.01327543891966343,
                0.015694519504904747,
                -0.00413013668730855,
                0.02430880442261696,
                -0.035637177526950836,
                0.0012464162427932024,
                0.017936592921614647,
                -0.03280508518218994,
                0.006195204798132181,
                0.011918393895030022,
                0.01640254259109497,
                0.003422113135457039,
                0.020414674654603004,
                -0.008024265058338642,
                -0.013511447235941887,
                -0.010089334100484848,
                -0.019470643252134323,
                0.01994265988469124,
                -0.01262641791254282,
                -0.01480949018150568,
                0.0007854634895920753,
                0.015576515346765518,
                -0.0017405576072633266,
                -0.009676320478320122,
                -0.005664187483489513,
                -0.018172601237893105,
                0.003082851879298687,
                -0.009676320478320122,
                0.020296672359108925,
                -0.004690655041486025,
                0.004218639340251684,
                -0.017936592921614647,
                -0.0082602733746171,
                -0.0013717954279854894,
                -0.015104499645531178,
                -0.011151368729770184,
                0.023836787790060043,
                0.025016827508807182,
                -0.017228569835424423,
                -0.00997132994234562,
                -0.01758258230984211,
                -0.01994265988469124,
                0.003658120986074209,
                -0.004336643498390913,
                0.0067557236179709435,
                0.013216436840593815,
                0.002242074115201831,
                -0.009027298539876938,
                -0.0005973947700113058,
                -0.002360078040510416,
                0.008437278680503368,
                -0.006254206877201796,
                -0.011033364571630955,
                -0.008673286996781826,
                0.010089334100484848,
                0.017228569835424423,
                0.009499314241111279,
                -0.013216436840593815,
                -0.020060664042830467,
                -0.02950097620487213,
                -0.0082602733746171,
                0.010502347722649574,
                -0.0013791705714538693,
                0.005251173861324787,
                -0.007729255594313145,
                0.00031897929147817194,
                0.002522333525121212,
                0.010856359265744686,
                0.013039431534707546,
                0.0082602733746171,
                -0.020650682970881462,
                0.009912327863276005,
                -0.01044334564357996,
                -0.0002655087737366557,
                0.012744422070682049,
                -0.010089334100484848,
                -0.01663855090737343,
                -0.0029648481868207455,
                0.006962230429053307,
                -0.004395645577460527,
                -0.0240727961063385,
                0.006519715767353773,
                -0.005428179632872343,
                -0.010502347722649574,
                0.00938131008297205,
                0.01421947032213211,
                0.00218307226896286,
                -0.008319275453686714,
                0.0030090995132923126,
                -0.0004369832167867571,
                -0.009027298539876938,
                0.03068101592361927,
                0.009912327863276005,
                -0.04059334471821785,
                0.006254206877201796,
                0.005841193255037069,
                0.014750488102436066,
                0.003200855804607272,
                -0.00004056384204886854,
                0.005575684364885092,
                0.0034073626156896353,
                0.03209706023335457,
                0.0003245107363909483,
                -0.010207337327301502,
                0.03186105564236641,
                -0.005546183325350285,
                0.007080234121531248,
                0.016166534274816513,
                0.0029353471472859383,
                -0.0017331823473796248,
                0.0034073626156896353,
                0.013216436840593815,
                -0.00997132994234562,
                -0.021122699603438377,
                -0.029264967888593674,
                0.017110565677285194,
                -0.010384343564510345,
                0.00009449531353311613,
                0.006844226270914078,
                0.0011136617977172136,
                -0.018172601237893105,
                0.0018216852331534028,
                0.022656749933958054,
                -0.015812523663043976,
                -0.011151368729770184,
                -0.011800390668213367,
                0.0065787178464233875,
                0.01433747448027134,
                -0.03327710181474686,
                -0.0023453275207430124,
                0.017936592921614647,
                0.013393443077802658,
                0.00014197344717103988,
                -0.007257239893078804,
                -0.014396476559340954,
                -0.01480949018150568,
                -0.004336643498390913,
                -0.015045497566461563,
                0.015576515346765518,
                -0.0009514064877294004,
                -0.0010989113943651319,
                -0.01758258230984211,
                0.006254206877201796,
                -0.025724850594997406,
                -0.012331407517194748,
                0.005251173861324787,
                -0.008378277532756329,
                -0.00018714681209530681,
                -0.014632483944296837,
                -0.005103668663650751,
                0.025016827508807182,
                0.012803423218429089,
                0.001438172534108162,
                -0.007906261831521988,
                0.04082934930920601,
                -0.014750488102436066,
                0.013570449315011501,
                0.007050733081996441,
                -0.028084930032491684,
                0.009617318399250507,
                0.02076868712902069,
                -0.004838160239160061,
                -0.0006969605456106365,
                0.011446379125118256,
                0.02419080026447773,
                -0.0015709269791841507,
                -0.03186105564236641,
                0.00436614453792572,
                -0.011977395974099636,
                0.027848921716213226,
                -0.008496280759572983,
                0.016166534274816513,
                -0.00025075828307308257,
                0.0007522748783230782,
                -0.008378277532756329,
                -0.003156604478135705,
                0.0015414259396493435,
                0.0007338367868214846,
                0.005280674900859594,
                0.004248140379786491,
                -0.00035216790274716914,
                0.016284538432955742,
                0.01994265988469124,
                -0.0005789566785097122,
                -0.006932729389518499,
                -0.023600781336426735,
                0.011977395974099636,
                0.023718785494565964,
                -0.02737690508365631,
                -0.010797357186675072,
                0.009086300618946552,
                -0.011446379125118256,
                0.010974363423883915,
                -0.012508413754403591,
                -0.014396476559340954,
                -0.003613869659602642,
                0.0019028129754588008,
                -0.007493247743695974,
                -0.10101134330034256,
                -0.006696721538901329,
                -0.0054871817119419575,
                0.011151368729770184,
                0.02749490924179554,
                -0.00997132994234562,
                -0.018290605396032333,
                0.0040711346082389355,
                -0.015694519504904747,
                0.021240701898932457,
                0.008909294381737709,
                -0.007611251901835203,
                -0.009086300618946552,
                -0.009440312162041664,
                0.025606846436858177,
                -0.002271575154736638,
                -0.013865458779036999,
                -0.0082602733746171,
                0.0036433704663068056,
                0.010738355107605457,
                -0.029972990974783897,
                0.0013570449082180858,
                0.01852661371231079,
                -0.007670253980904818,
                0.002522333525121212,
                -0.0012021647999063134,
                -0.006519715767353773,
                -0.015694519504904747,
                -0.019116632640361786,
                -0.0002784154494293034,
                -0.025016827508807182,
                0.01109236665070057,
                -0.014278472401201725,
                -0.0053396765142679214,
                0.006460713688284159,
                0.0034073626156896353,
                -0.0005973947700113058,
                -0.006136203184723854,
                0.017346573993563652,
                -0.0034663646947592497,
                -0.006195204798132181,
                0.02194872684776783,
                0.003127103438600898,
                -0.005988697987049818,
                0.008673286996781826,
                0.009204304777085781,
                -0.009440312162041664,
                0.007847259752452374,
                0.004926662892103195,
                0.007729255594313145,
                0.008083267137408257,
                -0.006726222578436136,
                0.020060664042830467,
                0.04035733640193939,
                0.004572651349008083,
                -0.022538745775818825,
                0.007493247743695974,
                0.0032893589232116938,
                -0.008024265058338642,
                0.003127103438600898,
                -0.018408609554171562,
                0.0012832924257963896,
                -0.011269372887909412,
                -0.006342709995806217,
                -0.002271575154736638,
                -0.013570449315011501,
                -0.008437278680503368,
                0.012921427376568317,
                0.018054597079753876,
                0.01640254259109497,
                0.0051626707427203655,
                -0.015930527821183205,
                -0.004425146616995335,
                0.03280508518218994,
                -0.00001647905992285814,
                -0.0022125733084976673,
                -0.0018880624556913972,
                -0.048853617161512375,
                -0.014101466163992882,
                -0.006224705837666988,
                -0.016048530116677284,
                -0.006136203184723854,
                -0.10761956125497818,
                -0.005103668663650751,
                -0.023364773020148277,
                0.006136203184723854,
                -0.009204304777085781,
                -0.009617318399250507,
                0.0054871817119419575,
                0.007788257673382759,
                -0.008437278680503368,
                0.0032156063243746758,
                0.00015395821537822485,
                -0.013924460858106613,
                -0.011033364571630955,
                -0.007316241972148418,
                0.012272406369447708,
                -0.00498566497117281,
                -0.009912327863276005,
                0.010030332021415234,
                0.005634686443954706,
                0.0004462022625375539,
                -0.018054597079753876,
                -0.01480949018150568,
                -0.041301365941762924,
                -0.002330577000975609,
                0.015576515346765518,
                -0.014986495487391949,
                -0.002242074115201831,
                0.026786886155605316,
                -0.0028910955879837275,
[...]
